Subject: Re: bug#6633: 23.1.50; murrine_style_draw_box: assertion `height >= -1' failed
From: Jan Djärv <[email-masked]>
To: David LeBauer <[email-masked]>
Cc: [email-masked]
Date: Wed, 14 Jul 2010 22:48:31 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

This is not a bug per se in Emacs, so I'm closing this.  The minibuffer 
scrollbar is too small, so the draw routine for that theme complains.

See more here: https://bugzilla.gnome.org/show_bug.cgi?id=617442.
This bug is not fixed in Gtk+ (I don't think any bug I filed got fixed).

In trunk, I've made a change so that if the space for the scroll bar is too 
small, it is not shown at all.  That avoids the message, but IMHO, the bug is 
really in Gtk+.

	Jan D.

David LeBauer skrev 2010-07-14 22.00:
> When opening emacs-snapshot from the command line in Ubuntu 10.04, the
> the following error is repeatedly given:
>
> ** (emacs-snapshot:2677): CRITICAL **: murrine_style_draw_box:
> assertion `height>= -1' failed
>
> no other symptoms
>
> In GNU Emacs 23.1.50.1 (i486-pc-linux-gnu, GTK+ Version 2.18.0)
>   of 2009-09-27 on palmer, modified by Debian
>   (emacs-snapshot package, version 1:20090909-1)
> Windowing system distributor `The X.Org Foundation', version 11.0.10706000
> configured using `configure  '--build' 'i486-linux-gnu' '--host'
> 'i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib'
> '--libexecdir=/usr/lib' '--localstatedir=/var'
> '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes'
> '--enable-locallisppath=/etc/emacs-snapshot:/etc/emacs:/usr/local/share/emacs/23.1.50/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.1.50/site-lisp:/usr/share/emacs/site-lisp'
> '--with-x=yes' '--with-x-toolkit=gtk' 'build_alias=i486-linux-gnu'
> 'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN
> -DSITELOAD_PURESIZE_EXTRA=5000 -g -O2' 'LDFLAGS=-g -Wl,--as-needed'
> 'CPPFLAGS=''
>
> Important settings:
>    value of $LC_ALL: nil
>    value of $LC_COLLATE: nil
>    value of $LC_CTYPE: nil
>    value of $LC_MESSAGES: nil
>    value of $LC_MONETARY: nil
>    value of $LC_NUMERIC: nil
>    value of $LC_TIME: nil
>    value of $LANG: en_US.utf8
>    value of $XMODIFIERS: nil
>    locale-coding-system: utf-8-unix
>    default enable-multibyte-characters: t
>
> Major mode: SGML
>
> Minor modes in effect:
>    display-time-mode: t
>    shell-dirtrack-mode: t
>    tooltip-mode: t
>    tool-bar-mode: t
>    mouse-wheel-mode: t
>    menu-bar-mode: t
>    file-name-shadow-mode: t
>    global-font-lock-mode: t
>    font-lock-mode: t
>    blink-cursor-mode: t
>    global-auto-composition-mode: t
>    auto-composition-mode: t
>    auto-encryption-mode: t
>    auto-compression-mode: t
>    line-number-mode: t
>    transient-mark-mode: t
>
> Recent input:
> <help-echo>  <help-echo>  <help-echo>  <help-echo>  <help-echo>
> <help-echo>  <help-echo>  <help-echo>  <help-echo>  <help-echo>
> <help-echo>  <menu-bar>  <help-menu>  <send-emacs-bug
> -report>
>
> Recent messages:
> Loading /usr/share/emacs/23.1.50/site-lisp/preview-latex.el (source)...done
> Loading /etc/emacs-snapshot/site-start.d/50auctex.el (source)...done
> Loading /etc/emacs/site-start.d/50dictionaries-common.el (source)...
> Skipping dictionaries-common setup for emacs-snapshot
> Loading /etc/emacs/site-start.d/50dictionaries-common.el (source)...done
> Loading /etc/emacs/site-start.d/50ess.el (source)...done
> Loading /home/dlebauer/.emacs.d/zenburn.el (source)...done
> Loading /etc/emacs/ssh.el (source)...done [3 times]
> For information about GNU Emacs and the GNU system, type C-h C-a.
> (New file)
>
> Load-path shadows:
> /usr/share/emacs/23.1.50/site-lisp/auctex/bib-cite hides
> /usr/share/emacs/site-lisp/auctex/bib-cite
> /usr/share/emacs/23.1.50/site-lisp/auctex/tex-font hides
> /usr/share/emacs/site-lisp/auctex/tex-font
> /usr/share/emacs/23.1.50/site-lisp/auctex/context-en hides
> /usr/share/emacs/site-lisp/auctex/context-en
> /usr/share/emacs/23.1.50/site-lisp/auctex/font-latex hides
> /usr/share/emacs/site-lisp/auctex/font-latex
> /usr/share/emacs/23.1.50/site-lisp/auctex/tex-info hides
> /usr/share/emacs/site-lisp/auctex/tex-info
> /usr/share/emacs/23.1.50/site-lisp/auctex/multi-prompt hides
> /usr/share/emacs/site-lisp/auctex/multi-prompt
> /usr/share/emacs/23.1.50/site-lisp/auctex/tex-style hides
> /usr/share/emacs/site-lisp/auctex/tex-style
> /usr/share/emacs/23.1.50/site-lisp/auctex/tex-mik hides
> /usr/share/emacs/site-lisp/auctex/tex-mik
> /usr/share/emacs/23.1.50/site-lisp/auctex/tex-fptex hides
> /usr/share/emacs/site-lisp/auctex/tex-fptex
> /usr/share/emacs/23.1.50/site-lisp/auctex/context-nl hides
> /usr/share/emacs/site-lisp/auctex/context-nl
> /usr/share/emacs/23.1.50/site-lisp/auctex/context hides
> /usr/share/emacs/site-lisp/auctex/context
> /usr/share/emacs/23.1.50/site-lisp/auctex/tex-bar hides
> /usr/share/emacs/site-lisp/auctex/tex-bar
> /usr/share/emacs/23.1.50/site-lisp/auctex/toolbar-x hides
> /usr/share/emacs/site-lisp/auctex/toolbar-x
> /usr/share/emacs/23.1.50/site-lisp/auctex/tex-fold hides
> /usr/share/emacs/site-lisp/auctex/tex-fold
> /usr/share/emacs/23.1.50/site-lisp/auctex/latex hides
> /usr/share/emacs/site-lisp/auctex/latex
> /usr/share/emacs/23.1.50/site-lisp/auctex/texmathp hides
> /usr/share/emacs/site-lisp/auctex/texmathp
> /usr/share/emacs/23.1.50/site-lisp/auctex/tex hides
> /usr/share/emacs/site-lisp/auctex/tex
> /usr/share/emacs/23.1.50/site-lisp/auctex/tex-jp hides
> /usr/share/emacs/site-lisp/auctex/tex-jp
> /usr/share/emacs/23.1.50/site-lisp/auctex/tex-buf hides
> /usr/share/emacs/site-lisp/auctex/tex-buf
> /usr/share/emacs/23.1.50/site-lisp/debian-startup hides
> /usr/share/emacs/site-lisp/debian-startup
>
>